/**
* @file
*/

(function ($, Drupal) {

    'use strict';

    /**
     * @type {Drupal~behavior}
     */
    Drupal.behaviors.importantInformationBottom = {
        
        attach: function (context, settings) {

            var showHideFloatingContainer =  drupalSettings.important_information.importantInformationBottom.showHideFloatingContainer;
            var offset =  drupalSettings.important_information.importantInformationBottom.offset;

            if (showHideFloatingContainer == 1)  {

                $( window ).scroll(function() {
                    
                    var position = window.scrollY + jQuery('.block-floating-container').height() + (parseInt(offset));
                    // Position value refers to bottom of the viewport (the bottom edge of the user's view)
                    // We subtract the value of the height of the Floating Container  because it makes the viewport smaller
                    var bottomStart = jQuery('#block-importantinformationembeddedbottom').offset().top;

                    //  Check  if the  Embedded  Bottom is viewable
                    if (position >= bottomStart ) {
                        jQuery('#block-importantinformationfloatingcontainer').hide();
                    }

                    if (position <=  bottomStart)  {
                        jQuery('#block-importantinformationfloatingcontainer').show();
                    }
                });
            }

        }
    };

})(jQuery, Drupal);
