/**
 * @file
 */

(function ($, Drupal) {

    'use strict';

    /**
     * @type {Drupal~behavior}
     */


    Drupal.behaviors.importantInformationFloatingContainerSidebar = {
        attach: function (context, settings) {

            // Look for the point at which to turn the position from absolute to fixed
            var sidebarYOffset =  drupalSettings.important_information.importantInformationFloatingContainerSidebar.sidebarYOffset;
            var behavior =  drupalSettings.important_information.importantInformationFloatingContainerSidebar.behavior;
            var fixedStart = sidebarYOffset; //jQuery('#block-importantinformationfloatingcontainersidebar').offset().top;

            // Set the height
            // TODO: evaluate if we need to only do this for some of the behavior options
            var viewportHeight = window.innerHeight;
            var floatingContainerSidebarHeight = viewportHeight - sidebarYOffset;

            // Keep the Floating Container at the right size
            var floatingContainerResize = function() {
                jQuery('#block-importantinformationfloatingcontainersidebar #important-floating-container-sidebar-block-wrap').css("height", floatingContainerSidebarHeight);
            };

            jQuery(window).resize(floatingContainerResize).ready(floatingContainerResize);

            if ('absolute_fixed' == behavior) {

                // Toggle between absolute and fixed positioning

                window.onscroll = function(ev) {

                    var position = window.scrollY;

                    //  Check  if the  Embedded  Bottom is viewable
                    if (position >= fixedStart ) {
                        // TODO: add support for updating fixedStart by breakpoint
                        // Time to make it fixed to the top
                        if (jQuery('#block-importantinformationfloatingcontainersidebar').css('position') == 'absolute') {
                            jQuery('#block-importantinformationfloatingcontainersidebar').addClass("ontop").css("position", 'fixed');
                            jQuery('#block-importantinformationfloatingcontainersidebar #important-floating-container-sidebar-block-wrap').addClass('foo');
                        }
                    }

                    if (position <=  fixedStart)  {
                        if (jQuery('#block-importantinformationfloatingcontainersidebar').css('position') == 'fixed') {
                           jQuery('#block-importantinformationfloatingcontainersidebar').css("top", fixedStart).css("position", 'absolute').removeClass("ontop");
                           jQuery('#block-importantinformationfloatingcontainersidebar #important-floating-container-sidebar-block-wrap').removeClass('foo');
                        }
                    }



                };
            }

        }
    };

})(jQuery, Drupal);
