<?php
/**
 * @file
 * Contains \Drupal\important_information\Plugin\Block\ExitBlock.
 */

namespace Drupal\important_information\Plugin\Block;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Url;
use Drupal\Core\Link;
use Drupal\Component\Serialization\Json;

/**
 * Provides a 'Modal' Block that checks for exit of the II
 *
 * @Block(
 *   id = "exit_block",
 *   admin_label = @Translation("Important Information: Exit Modal"),
 * )
 */
class ExitBlock extends BlockBase {
  /**
   * {@inheritdoc}
   */
  public function build() {

    // Load module settings
    $settings = \Drupal::config('important_information.settings');

    $link_url = Url::fromRoute('important_information.exit');
    $link_url->setOptions([
      'attributes' => [
        'class' => ['use-ajax', 'button', 'button--small', 'display-none'],
        'data-dialog-type' => 'modal',
      ]
    ]);

    return array(
      '#type' => 'markup',
      '#markup' => Link::fromTextAndUrl(t('Exit modal'), $link_url)->toString(),
      '#attached' => [
        'library' => [
          'core/drupal.dialog.ajax',
          'important_information/importantInformationExit'
        ],

      ]
    );
  }
}